package game.attack;

import java.util.HashSet;

import network.Network;
import game.StackelbergGame;

public abstract class AttackStrategyAlgorithm {
  public abstract HashSet<Network.Node> findBestResponse(StackelbergGame game, HashSet<Network.Node> monitoringSet, int budget);

  public HashSet<Network.Node> findBestResponse(StackelbergGame game, HashSet<Network.Node> monitoringSet) {
    return findBestResponse(game, monitoringSet, game.initialBaseSet.size());
  }
}

